sys/arm/lpc: Remove support for it
ClosedPublic

Authored by manu on Dec 25 2017, 9:54 PM.

Details

Reviewers
ian
Group Reviewers
ARM
Commits
rS328380: arm: lpc: Remove support
Summary

Code hasn't been touch this it's original commit in 2012 beside api changes.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
manu created this revision.Dec 25 2017, 9:54 PM
imp added a comment.Dec 25 2017, 11:18 PM

Is there any better justification than "it's old" for removing it? It seems like it might be a good one to have go, but what's the hardware support we'd be losing, who did the original work? Do we know if it still works?

Chances are answering these questions will push me into the 'delete' category, but mere age isn't an indication it needs to go.

manu added a comment.Dec 25 2017, 11:24 PM
In D13625#284875, @imp wrote:

Is there any better justification than "it's old" for removing it? It seems like it might be a good one to have go, but what's the hardware support we'd be losing, who did the original work? Do we know if it still works?

Chances are answering these questions will push me into the 'delete' category, but mere age isn't an indication it needs to go.

It's an ARM9 core is my google skills are correct, I'm not even sure that we can run on this hardware nowadays.

br added a subscriber: br.Dec 26 2017, 12:04 AM

ssd1289 is an external LCD controller and not a part of NXP LPC SoC. It may be useful for other boards.
May be we should move it somewhere?

manu added a comment.Dec 26 2017, 11:30 AM

This is the hardware supported it seems : https://www.embeddedartists.com/products/kits/lpc3250_kit.php

It have only 64MB of ram, can we run armv6 with this low memory ?

manu added a comment.Dec 26 2017, 11:32 AM
In D13625#284904, @br wrote:

ssd1289 is an external LCD controller and not a part of NXP LPC SoC. It may be useful for other boards.
May be we should move it somewhere?

Greping into linux dts it is used in a powerpc machine (p1025twr.dtsi) and that's it. Not sure it's worth saving it.

ian requested changes to this revision.Dec 26 2017, 5:08 PM
ian added a subscriber: ian.

I'm fine with the removal, I've never heard from a single person that used this platform. The only mention of it on the arm@ list was a request in 2010, before we actually imported the current lpc code.

However, part of removing it is removing dev/uart/uart_dev_lpc.c and all references to it in makefiles, etc.

This revision now requires changes to proceed.Dec 26 2017, 5:08 PM
imp added a comment.Dec 26 2017, 5:10 PM
In D13625#284877, @manu wrote:
In D13625#284875, @imp wrote:

Is there any better justification than "it's old" for removing it? It seems like it might be a good one to have go, but what's the hardware support we'd be losing, who did the original work? Do we know if it still works?

Chances are answering these questions will push me into the 'delete' category, but mere age isn't an indication it needs to go.

It's an ARM9 core is my google skills are correct, I'm not even sure that we can run on this hardware nowadays.

There's several platforms we can run on that are ARM9. My atmel boards still work, and there's others on the net that have reported other boards working. 64MB is tight, but enough.

manu added a comment.Dec 26 2017, 5:10 PM
In D13625#285111, @ian wrote:

I'm fine with the removal, I've never heard from a single person that used this platform. The only mention of it on the arm@ list was a request in 2010, before we actually imported the current lpc code.

Thanks,

However, part of removing it is removing dev/uart/uart_dev_lpc.c and all references to it in makefiles, etc.

Indeed, will remove that too in a future update.

manu updated this revision to Diff 37056.Dec 26 2017, 5:14 PM

Also remove uart_dev_lpc

ian accepted this revision.Dec 26 2017, 5:16 PM
This revision is now accepted and ready to land.Dec 26 2017, 5:16 PM
imp added a comment.Dec 26 2017, 5:34 PM

The LPC3200 series is guaranteed a 10 year run by NXP. It was introduced 2009. There's a few other ARM9 products they have.

https://www.nxp.com/products/product-information/product-longevity:PRDCT_LONGEVITY_HM has a database lookup for these products, and it shows an introduction date of November 2009 (so EOL November 2019).

For reference, you can find details about the chip here:

https://www.nxp.com/products/processors-and-microcontrollers/arm-based-processors-and-mcus/lpc-cortex-m-mcus/lpc3000-arm9-mpus/arm926ej-s-with-256-kb-sram-usb-high-speed-otg-sd-mmc-nand-flash-controller-ethernet-lcd-controller:LPC3250FET296

There are a few other boards that support the general series (LPC-3130S can be found on http://www.glomationinc.com/product_3130.html though it only has 32MB RAM). Mouser has a few boards as well, but several that are available, but at end of life. It's tricky to find boards that could support this. Most of them are also pricy ( >$100 some > $500) relative to much of the rest of the competition.

So while it is technically still active, interest in this part appears to be low. Absent someone that's been using it and maybe has a bunch of bug fixes they've been hoarding, I'm not sure this is an important enough SoC to keep in our inventory.

Closed by commit rS328380: arm: lpc: Remove support (authored by manu, committed by ). · Explain WhyJan 24 2018, 10:04 PM
This revision was automatically updated to reflect the committed changes.